## GDataDocumentsPdf

GDataDocumentsPdf — GData Documents pdf object

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataDocumentsPdf * | gdata_documents_pdf_new ()

## Types and Values

| GDataDocumentsPdf
| GDataDocumentsPdfClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataEntry
                ╰── GDataDocumentsEntry
                    ╰── GDataDocumentsDocument
                        ╰── GDataDocumentsPdf

## Implemented Interfaces

GDataDocumentsPdf implements GDataAccessHandler.

## Includes

    #include <gdata/services/documents/gdata-documents-pdf.h>

## Description

GDataDocumentsPdf is a subclass of GDataDocumentsDocument to represent a PDF document from Google Documents.

For more details of Google Drive's GData API, see the

online documentation.

## Functions

### gdata_documents_pdf_new ()

    GDataDocumentsPdf *
    gdata_documents_pdf_new (const gchar *id);

Creates a new GDataDocumentsPdf with the given entry ID (“id”).

#### Parameters

id | the entry's ID (not the document ID of the pdf document), or `NULL`. | [allow-none]

#### Returns

a new GDataDocumentsPdf, or `NULL`; unref with `g_object_unref()`.

[transfer full]

Since: 0.13.3

## Types and Values

### GDataDocumentsPdf

    typedef struct _GDataDocumentsPdf GDataDocumentsPdf;

All the fields in the GDataDocumentsPdf structure are private and should never be accessed directly.

Since: 0.13.3

### GDataDocumentsPdfClass

    typedef struct {
    } GDataDocumentsPdfClass;

All the fields in the GDataDocumentsPdfClass structure are private and should never be accessed directly.

Since: 0.13.3